	.text
	.globl main
main:
	pushq	%rbp
	movq	%rsp,%rbp
	movq	_mFargc@GOTPCREL(%rip),%r11
	movl	%edi,(%r11)
	movq	_mFargv@GOTPCREL(%rip),%r11
	movq	%rsi,(%r11)
	movq	&mFNAME@GOTPCREL(%rip),%rdi
	call	_mFgmain@PLT
	popq	%rbp
	ret
